{% include './header.html' %}

<div class="container">
    <div id="welcome"><p>Please type a sentence to be analysed for sentiment.
      The service will return a sentiment class between <strong>[0]-[4], with [0] <i>very low</i> to [4] <i>very high</i></strong>.
      It was trained on a corpus of movie reviews.</p>
      <p><strong>Example:</strong> <i>The best movie I have ever seen. Amazing!</i></p>
      </div>

    <form id="form_user_input" method="post" action="">
      <input id="msg" type="text" class="form-control" name="msg" autofocus="autofocus" placeholder="Text snippet">
      <input type="submit" class="btn btn-primary" style="background-color:#0000ff; margin-top: 10px" value="Send">
    </form>

    <div id="result"></div>
</div>


{% include './footer.html' %}



<script>

// Attach a submit handler to the form
$( "#form_user_input" ).submit(function( event ) {

  // Stop form from submitting normally
  event.preventDefault();

  // Get form field value
  var msg = $("#msg").val();

  // clear form field
  $("#msg").val("");

  // clear result div
  $("#result").html("");

  // Send the data using ajax
  $.ajax({
    url: "/pub/srv-sentiment-analysis",
    type: 'GET',
    data: {
        "msg": msg
    },
    contentType: 'text/plain',
    error : function(err) {
        console.log('Error!', err);
    },
    success: function(data) {
        console.log('Success!');
        $( "#result" ).append( '<p class="alert alert-info" style="margin-top: 10px;">Sentiment for <i>' + msg + '</i>: <strong>class ' + data + '</strong>.</p>');
    }
  });

});

</script>

</body>

</html>
